CRAN Package Check Results for Package SpatialEpiApp

Last updated on 2021-09-22 23:50:19 CEST.

Flavor Version Tinstall Tcheck Ttotal Status Flags
r-devel-linux-x86_64-debian-clang 0.3 2.62 23.95 26.57 NOTE
r-devel-linux-x86_64-debian-gcc 0.3 1.94 18.83 20.77 NOTE
r-devel-linux-x86_64-fedora-clang 0.3 43.71 NOTE
r-devel-linux-x86_64-fedora-gcc 0.3 31.07 NOTE
r-devel-windows-x86_64 0.3 4.00 30.00 34.00 NOTE
r-devel-windows-x86_64-gcc10-UCRT 0.3 ERROR
r-patched-linux-x86_64 0.3 2.64 23.23 25.87 NOTE
r-patched-solaris-x86 0.3 49.40 NOTE
r-release-linux-x86_64 0.3 2.07 23.17 25.24 NOTE
r-release-macos-arm64 0.3 NOTE
r-release-macos-x86_64 0.3 NOTE
r-release-windows-ix86+x86_64 0.3 7.00 41.00 48.00 NOTE
r-oldrel-macos-x86_64 0.3 NOTE
r-oldrel-windows-ix86+x86_64 0.3 5.00 30.00 35.00 OK

Check Details

Version: 0.3
Check: package dependencies
Result: NOTE
    Package suggested but not available for checking: 'INLA'
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-patched-linux-x86_64, r-patched-solaris-x86, r-release-linux-x86_64, r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 0.3
Check: LazyData
Result: NOTE
     'LazyData' is specified without a 'data' directory
Flavors: r-devel-linux-x86_64-debian-clang, r-devel-linux-x86_64-debian-gcc, r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-devel-windows-x86_64, r-patched-linux-x86_64, r-patched-solaris-x86, r-release-linux-x86_64, r-release-macos-arm64, r-release-macos-x86_64, r-release-windows-ix86+x86_64

Version: 0.3
Check: dependencies in R code
Result: NOTE
    Namespaces in Imports field not imported from:
     ‘RColorBrewer’ ‘SpatialEpi’ ‘dplyr’ ‘dygraphs’ ‘ggplot2’
     ‘htmlwidgets’ ‘knitr’ ‘leaflet’ ‘mapproj’ ‘maptools’ ‘rgdal’ ‘rgeos’
     ‘rmarkdown’ ‘shinyjs’ ‘spdep’ ‘xts’
     All declared Imports should be used.
Flavors: r-devel-linux-x86_64-fedora-clang, r-devel-linux-x86_64-fedora-gcc, r-patched-solaris-x86, r-release-macos-arm64, r-release-macos-x86_64, r-oldrel-macos-x86_64

Version: 0.3
Check: package dependencies
Result: ERROR
    Packages required but not available:
     'leaflet', 'rgdal', 'SpatialEpi', 'spdep'
    
    Package suggested but not available for checking: 'INLA'
    
    See section 'The DESCRIPTION file' in the 'Writing R Extensions'
    manual.
Flavor: r-devel-windows-x86_64-gcc10-UCRT